## org.hibernate.cfg.beanvalidation
Class DuplicationStrategyImpl

    java.lang.Object
      org.hibernate.cfg.beanvalidation.DuplicationStrategyImpl

All Implemented Interfaces:
  DuplicationStrategy

    public class DuplicationStrategyImpl

extends Object
implements DuplicationStrategy

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.event.service.spi.DuplicationStrategy
`DuplicationStrategy.Action`

Field Summary
`static DuplicationStrategyImpl` `INSTANCE`

Constructor Summary
`DuplicationStrategyImpl()`

Method Summary
`boolean` `areMatch(Object listener, Object original)` Are the two listener instances considered a duplication?
`DuplicationStrategy.Action` `getAction()` How should a duplication be handled?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DuplicationStrategyImpl INSTANCE

Constructor Detail

### DuplicationStrategyImpl

    public DuplicationStrategyImpl()

Method Detail

### areMatch

    public boolean areMatch(Object listener,
                            Object original)

  Description copied from interface: `DuplicationStrategy`
  Are the two listener instances considered a duplication?

  Specified by:
    `areMatch` in interface `DuplicationStrategy`
  Parameters:
    `listener` - The listener we are currently trying to register
    `original` - An already registered listener
  Returns:
    true if the two instances are considered a duplication; false otherwise

### getAction

    public DuplicationStrategy.Action getAction()

  Description copied from interface: `DuplicationStrategy`
  How should a duplication be handled?

  Specified by:
    `getAction` in interface `DuplicationStrategy`
  Returns:
    The strategy for handling duplication

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.